summaryrefslogtreecommitdiff
path: root/dev-python/python-rtmidi/python-rtmidi-1.4.9.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-29 12:45:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-29 12:45:19 +0000
commite14f99ca1719dc6094cc1e77a933440dbfe7017e (patch)
tree56130faf37cb63dfb9e996caa349e7c66b04c718 /dev-python/python-rtmidi/python-rtmidi-1.4.9.ebuild
parent5c09e716c7a2ea7c161d7310bfc1708e8061930b (diff)
downloadbaldeagleos-repo-e14f99ca1719dc6094cc1e77a933440dbfe7017e.tar.gz
baldeagleos-repo-e14f99ca1719dc6094cc1e77a933440dbfe7017e.tar.xz
baldeagleos-repo-e14f99ca1719dc6094cc1e77a933440dbfe7017e.zip
Adding metadata
Diffstat (limited to 'dev-python/python-rtmidi/python-rtmidi-1.4.9.ebuild')
-rw-r--r--dev-python/python-rtmidi/python-rtmidi-1.4.9.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/python-rtmidi/python-rtmidi-1.4.9.ebuild b/dev-python/python-rtmidi/python-rtmidi-1.4.9.ebuild
new file mode 100644
index 000000000000..359ca0d77a84
--- /dev/null
+++ b/dev-python/python-rtmidi/python-rtmidi-1.4.9.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for media-libs/rtmidi implemented using Cython"
+HOMEPAGE="
+ https://pypi.org/project/python-rtmidi/
+ https://spotlightkid.github.io/python-rtmidi/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+alsa jack"
+
+# Most of these tests do not play nicely with the sandbox, some only
+# work with exactly the same version of rtmidi as the bundled one, and
+# several fail even with disabled sandbox unless there are actual MIDI
+# I/O devices present.
+RESTRICT="test"
+
+DEPEND="media-libs/rtmidi[alsa?,jack?]"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.4.9-unbundle_rtmidi.patch
+)
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # Just in case
+ rm -r src/rtmidi || die
+ rm src/_rtmidi.cpp || die
+}
+
+python_test() {
+ cd "${T}" || die
+ eunittest "${S}"/tests
+}